org.apache.flume.channel.file

## Class Log

- java.lang.Object
- - org.apache.flume.channel.file.Log

-     @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public class Log
      extends Object

  Stores FlumeEvents on disk and pointers to the events in a in memory queue. Once a log object is created the replay method should be called to reconcile the on disk write ahead log with the last checkpoint of the queue.

  Before calling any of commitPut/commitTake/get/put/rollback/take lockShared() should be called. After the operation and any additional modifications of the FlumeEventQueue, the Log.unlockShared method should be called.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Set<String>` | `EXCLUDES` Set of files that should be excluded from backup and restores.
    `static String` | `FILE_LOCK`
    `static String` | `PREFIX`
    `static String` | `QUEUE_SET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCommittedCount()`
    `int` | `getPutCount()`
    `int` | `getReadCount()`
    `int` | `getRollbackCount()`
    `int` | `getTakeCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### FILE_LOCK

          public static final String FILE_LOCK

      See Also:
        Constant Field Values

    - #### QUEUE_SET

          public static final String QUEUE_SET

      See Also:
        Constant Field Values

    - #### EXCLUDES

          public static final Set<String> EXCLUDES

      Set of files that should be excluded from backup and restores.

  - ### Method Detail

    - #### getReadCount

          public int getReadCount()

    - #### getPutCount

          public int getPutCount()

    - #### getTakeCount

          public int getTakeCount()

    - #### getCommittedCount

          public int getCommittedCount()

    - #### getRollbackCount

          public int getRollbackCount()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.